<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/gray"
    tools:context=".cattle_full_details_kt">

    <com.google.android.material.appbar.AppBarLayout
        android:id="@+id/app_bar"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:theme="@style/ThemeOverlay.AppCompat.Dark.ActionBar"
        android:background="#77D381"
        >

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="55dp"
            android:layout_gravity="center"
            android:orientation="horizontal">

        <ImageView
            android:id="@+id/back_homepage"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center"
            android:layout_marginStart="18dp"
            android:src="@drawable/baseline_arrow_back_ios_24"
            />
            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="Back"
                android:textColor="@color/white"
                android:layout_gravity="center"
                android:textSize="18sp"
                />


        </LinearLayout>
    </com.google.android.material.appbar.AppBarLayout>

    <ScrollView
        android:id="@+id/cattle_details_scrollbar"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_below="@id/app_bar"
        >
        <LinearLayout
            android:id="@+id/cattle_image_layout"
            android:layout_width="match_parent"
            android:layout_height="700dp"
            android:orientation="vertical"
            android:gravity="center"
            android:layout_margin="5dp"
            android:layout_marginBottom="85dp"
            >

        <LinearLayout
            android:id="@+id/cattle_image_layout_"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            >

            <ImageView
                android:id="@+id/cattle_image"
                android:layout_width="match_parent"
                android:layout_height="230dp"
                android:src="@drawable/cowwithbaby"
               android:layout_gravity="center"
                android:paddingTop="5dp"
                />

        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical"
            android:layout_margin="5dp"
            android:layout_gravity="center"
            >
            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_gravity="center"

                >
                <TextView
                    android:id="@+id/text_title"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="@string/text_title"
                    android:textSize="23sp"
                    android:textStyle="bold" />
                <TextView
                    android:id="@+id/rupee_symbol"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="@string/cattlePrice"
                    android:textSize="25sp"
                    android:textColor="#32C642"
                    android:layout_marginStart="10dp"
                     />
                <TextView
                    android:id="@+id/cattle_price"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="878"
                    android:textSize="22sp"
                    android:textColor="#32C642"
                    android:paddingStart="2dp"
                    />
            </LinearLayout>
            <View
                android:id="@+id/cattle_line1"
                android:layout_width="match_parent"
                android:layout_height="2dp"
                android:layout_below="@id/animal_type_relative_layout"
                android:layout_marginTop="10dp"
                android:layout_marginBottom="10dp"
                android:background="@color/gray2" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                >

                <ImageView
                    android:layout_width="25dp"
                    android:layout_height="25dp"
                    android:layout_gravity="center"
                    android:src="@drawable/baseline_location_on_24"
                    />
                <TextView
                    android:id="@+id/sellers_location"
                    android:layout_width="300dp"
                    android:layout_height="wrap_content"
                    android:text="@string/text_title"
                    android:layout_gravity="center"
                    android:textSize="16sp"
                     />

                <androidx.cardview.widget.CardView
                    android:layout_width="35dp"
                    android:layout_height="35dp"
                    android:backgroundTint="#00cc00"
                    app:cardCornerRadius="12dp"
                    android:elevation="10dp"
                    android:layout_marginStart="10dp"
                    >
                    <ImageView
                        android:layout_width="25dp"
                        android:layout_height="25dp"
                        android:src="@drawable/whatsapp"
                        android:layout_gravity="center"
                        />
                </androidx.cardview.widget.CardView>

            </LinearLayout>
            <View
                android:id="@+id/cattle_line2"
                android:layout_width="match_parent"
                android:layout_height="2dp"
                android:layout_below="@id/animal_type_relative_layout"
                android:layout_marginTop="10dp"
                android:layout_marginBottom="10dp"
                android:background="@color/gray2" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="Specifications"
                android:textSize="16sp"
                android:textColor="#32C642"
                />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
               android:layout_marginTop="10dp"
                android:orientation="horizontal">
                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="vertical"
                    >

                    <LinearLayout
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content">

                        <ImageView
                            android:layout_width="10dp"
                            android:layout_height="10dp"
                            android:layout_gravity="center"
                            android:src="@drawable/baseline_circle_24" />

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="match_parent"
                            android:layout_gravity="center"
                            android:layout_marginStart="5dp"
                            android:text="Lactation :"
                            android:textSize="15sp" />

                        <TextView
                            android:id="@+id/cattle_lactation"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center"
                            android:layout_marginStart="5dp"
                            android:text=" "
                            android:textSize="15sp"
                            android:textStyle="bold"/>
                    </LinearLayout>
                    <LinearLayout
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        >
                        <ImageView
                            android:layout_width="10dp"
                            android:layout_height="10dp"
                            android:layout_gravity="center"
                            android:src="@drawable/baseline_circle_24"
                            />
                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="Delivery Status :"
                            android:textSize="15sp"
                            android:layout_gravity="center"
                            android:layout_marginStart="5dp"
                            />
                        <TextView
                            android:id="@+id/cattle_delivery"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text=" "
                            android:textSize="15sp"
                            android:layout_gravity="center"
                            android:layout_marginStart="5dp"
                            android:textStyle="bold"
                            />
                    </LinearLayout>
                    <LinearLayout
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        >
                        <ImageView
                            android:layout_width="10dp"
                            android:layout_height="10dp"
                            android:layout_gravity="center"
                            android:src="@drawable/baseline_circle_24"
                            />
                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="Pregnant :"
                            android:textSize="15sp"
                            android:layout_gravity="center"
                            android:layout_marginStart="5dp"
                            />
                        <TextView
                            android:id="@+id/cattle_pregnant"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text=" "
                            android:textSize="15sp"
                            android:textStyle="bold"
                            android:layout_gravity="center"
                            android:layout_marginStart="5dp"
                            />
                    </LinearLayout>


                    <LinearLayout
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        >
                        <ImageView
                            android:layout_width="10dp"
                            android:layout_height="10dp"
                            android:layout_gravity="center"
                            android:src="@drawable/baseline_circle_24"
                            />
                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="Current Milk (Per day) :"
                            android:textSize="15sp"
                            android:layout_gravity="center"
                            android:layout_marginStart="5dp"
                            />
                        <TextView
                            android:id="@+id/cattle_current_milk"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text=" "
                            android:textSize="15sp"
                            android:layout_gravity="center"
                            android:textStyle="bold"

                            android:layout_marginStart="5dp"
                            />
                    </LinearLayout>
                    <LinearLayout
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        >
                        <ImageView
                            android:layout_width="10dp"
                            android:layout_height="10dp"
                            android:layout_gravity="center"
                            android:src="@drawable/baseline_circle_24"
                            />
                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="Milk Capacity (Per day) :"
                            android:textSize="15sp"
                            android:layout_gravity="center"
                            android:layout_marginStart="5dp"
                            />
                        <TextView
                            android:id="@+id/cattle_milk_capacity"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text=" "
                            android:textStyle="bold"
                            android:textSize="15sp"
                            android:layout_gravity="center"
                            android:layout_marginStart="5dp"
                            />
                    </LinearLayout>
                </LinearLayout>
                </LinearLayout>
            <View
                android:id="@+id/cattle_line3"
                android:layout_width="match_parent"
                android:layout_height="2dp"
                android:layout_below="@id/animal_type_relative_layout"
                android:layout_marginTop="10dp"
                android:layout_marginBottom="10dp"
                android:background="@color/gray2" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="Description"
                android:textSize="16sp"
                android:textColor="#32C642"
                />

        </LinearLayout>

            <TextView
                android:id="@+id/text_description"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:textSize="15sp"
                android:textStyle="bold"
                android:layout_margin="5dp"
                />

        </LinearLayout>

    </ScrollView>
    <Button
        android:id="@+id/buy_now"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:text="Buy Now"
        android:background="#77D381"
        android:layout_below="@id/cattle_details_scrollbar"
        android:textColor="@color/white"
        android:textSize="20sp"
        android:layout_marginTop="-50dp"
        android:clickable="true"
        />
</RelativeLayout>